﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp34
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<RowInfo> source;

        public MainWindow()
        {
            InitializeComponent();
            source = new ObservableCollection<RowInfo>();
            for (int i = 0; i < 100; i++)
            {
                source.Add(new RowInfo() { Id = i, Name = "Item " + i });
            }
            DataContext = source;
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            var nextId = source.Last().Id + 1;
            source.Add(new RowInfo() { Id = nextId, Name = "Item " + nextId });
        }

        private void RadButton_Click_1(object sender, RoutedEventArgs e)
        {
            var nextId = source.Last().Id + 1;
            source.Insert(10, new RowInfo() { Id = -1, Name = Guid.NewGuid().ToString() });
        }
    }

    public class RowInfo
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }
}
